#include<bits/stdc++.h>

using namespace std;

vector<int> solve(vector<int>A)
{
    vector<pair<long long, long long>>v;

    long long sum=0;

    for (long long i=0; i<A.size(); i++)
    {
        v.push_back({A[i], i});
        sum+=A[i];
    }

    sum=sum/2+(sum%2);

    sort(v.begin(), v.end());

    long long ans=1e8;
    long long ansL;
    long long ansR;

    for (long long i=0; i<v.size(); i++)
    {
        long long currsum=0;
        for (long long j=i; j<v.size(); j++)
        {
            currsum+=v[j].first;
            if (currsum>=sum)
            {
                long long szl=j-i+1;
                long long szr=v.size()-szl;

                if (abs(szr-szl)<ans)
                {
                    ans=abs(szr-szl);
                    ansR=j;
                    break;
                }
            }
        }
    }

    vector<int>ret;

    for (long long i=ansL; i<=ansR; i++)
    {
        ret.push_back(v[i].second);
    }

    for (long long i=0; i<ansL; i++)
    {
        ret.push_back(v[i].second);
    }

    for (long long i=ansR+1; i<v.size(); i++)
    {
        ret.push_back(v[i].second);
    }

    return ret;
}

